package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ResourceTypeResourcePO;
import mhp.oee.po.gen.ResourceTypeResourcePOExample;

public interface ResourceTypeResourcePOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_type_resource
     *
     * @mbggenerated
     */
    int countByExample(ResourceTypeResourcePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_type_resource
     *
     * @mbggenerated
     */
    int deleteByExample(ResourceTypeResourcePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_type_resource
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_type_resource
     *
     * @mbggenerated
     */
    int insert(ResourceTypeResourcePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_type_resource
     *
     * @mbggenerated
     */
    int insertSelective(ResourceTypeResourcePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_type_resource
     *
     * @mbggenerated
     */
    List<ResourceTypeResourcePO> selectByExample(ResourceTypeResourcePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_type_resource
     *
     * @mbggenerated
     */
    ResourceTypeResourcePO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_type_resource
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ResourceTypeResourcePO record, @Param("example") ResourceTypeResourcePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_type_resource
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ResourceTypeResourcePO record, @Param("example") ResourceTypeResourcePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_type_resource
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ResourceTypeResourcePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_type_resource
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ResourceTypeResourcePO record);
}